Summary:	Lexmark 2070 Printer B/W driver
Name:		lexmark2070
Version:	0.6
Release:	%mkrel 21
License:	GPL
Group:		System/Printing
URL:		http://www.kornblum.i-p.com/2070/Lexmark2070.old.html
Source0:	http://www.kornblum.i-p.com/2070/Lexmark2070.latest.tar.bz2
Patch0:		Lexmark2070-LDFLAGS.diff
Patch1:		lexmark2070-fix-building-with-gcc14.patch
Requires:	c2070
BuildRequires:	netpbm-devel

%description
This filter allows to print in B/W a Lexmark 2070 (windows GDI) printer.

%prep

%setup -q -c
%autopatch -p0

%build
make -f makefile CFLAGS="%{optflags}" LDFLAGS="%{ldflags}"

%install
install -d %{buildroot}%{_bindir}
install -m0755 Lexmark2070 %{buildroot}%{_bindir}/

%files
%defattr(0644,root,root,0755)
%doc README LICENSE
%attr(0755,root,root) %{_bindir}/*




%changelog
* Fri Oct 18 2024 ns80 <ns80> 0.6-21.mga10
+ Revision: 2107872
- try to fix building with GCC 14

* Mon Mar 28 2022 umeabot <umeabot> 0.6-20.mga9
+ Revision: 1830953
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 0.6-19.mga8
+ Revision: 1513886
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.6-18.mga7
+ Revision: 1298739
- Mageia 7 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 0.6-17.mga6
+ Revision: 937502
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 0.6-16.mga6
+ Revision: 937071
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.6-15.mga5
+ Revision: 747159
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6-14.mga5
+ Revision: 681306
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.6-13.mga4
+ Revision: 506845
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.6-12.mga3
+ Revision: 356757
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Feb 23 2011 ennael <ennael> 0.6-11.mga1
+ Revision: 57899
- clean spec file
- imported package lexmark2070


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0.6-11mdv2011.0
+ Revision: 606402
- rebuild

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 0.6-10mdv2010.1
+ Revision: 519017
- rebuild

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.6-9mdv2010.0
+ Revision: 425507
- rebuild

* Thu Dec 25 2008 Oden Eriksson <oeriksson@mandriva.com> 0.6-8mdv2009.1
+ Revision: 318498
- use %%optflags and %%ldflags

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.6-7mdv2009.0
+ Revision: 222423
- rebuild

* Sun Jan 13 2008 Thierry Vignaud <tv@mandriva.org> 0.6-6mdv2008.1
+ Revision: 150443
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Aug 30 2007 Oden Eriksson <oeriksson@mandriva.com> 0.6-5mdv2008.0
+ Revision: 75340
- fix deps (pixel)

* Tue Aug 28 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 0.6-4mdv2008.0
+ Revision: 72853
- Bumped.

  + Oden Eriksson <oeriksson@mandriva.com>
    - use the new System/Printing RPM GROUP

* Fri Aug 10 2007 Oden Eriksson <oeriksson@mandriva.com> 0.6-2mdv2008.0
+ Revision: 61084
- rebuild
- Import lexmark2070



* Thu Aug 09 2007 Oden Eriksson <oeriksson@mandriva.com> 0.6-1mdv2008.0
- initial Mandriva package

* Mon Mar 01 2004 Marcelo Ricardo Leitner <mrl@conectiva.com.br>
+ 2004-03-01 10:54:58 (50594)
- Adopted the real version as the real upstream version, 0.6.

* Thu Aug 29 2002 Gustavo Niemeyer <niemeyer@conectiva.com>
+ 2002-08-29 18:08:36 (8365)
- Imported package from 8.0.
